using DigitalData.Core.Abstraction.Application.Repository;
using DigitalData.UserManager.Domain.Entities;

namespace DigitalData.UserManager.Application.Contracts.Repositories;

[Obsolete("Use IRepository")]
public interface IClientUserRepository : ICRUDRepository<ClientUser, int>
{
    Task<IEnumerable<ClientUser>> ReadAsync(bool readOnly = true, int? userId = null);
}